com.pdfunit

## Enum ZugferdVersion

- java.lang.Object
- - java.lang.Enum<ZugferdVersion>
  - - com.pdfunit.ZugferdVersion

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ZugferdVersion>

      @DoNotObfuscate
      public enum ZugferdVersion
      extends java.lang.Enum<ZugferdVersion>

  Constants for versions of the ZUGFeRD specification.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `VERSION10`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract javax.xml.validation.Schema` | `getSchema()`
    `protected javax.xml.validation.Schema` | `getZugferdSchema10()` The schema has to be read from files, otherwise the existing include tags will not be resolved.
    `static ZugferdVersion` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ZugferdVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VERSION10

          public static final ZugferdVersion VERSION10

  - ### Method Detail

    - #### values

          public static ZugferdVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ZugferdVersion c : ZugferdVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ZugferdVersion valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getSchema

          public abstract javax.xml.validation.Schema getSchema()
                                                         throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### getZugferdSchema10

          protected javax.xml.validation.Schema getZugferdSchema10()
                                                            throws org.xml.sax.SAXException

      The schema has to be read from files, otherwise the existing include tags will not be resolved.
      Throws:
        `org.xml.sax.SAXException`

Copyright (C) PDFUnit.com. See here for license.